[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TBitBtn.Visible

Indicates if the control is visible on its parent.

## Declaration

Source position: buttons.pp line 279

`published property TBitBtn.Visible : Boolean;`

## Description

The Visible property indicates the ability to see a visual control. If Visible is True, the control is shown, otherwise it is hidden. Calling Show sets Visible to True. Setting Visible to False is equivalent to calling the Hide method.

Remark: | The Visible property does not depend on the visibility of a parent control. Use IsVisible method to consider this, and get the real visibility for a control in its parent container.

## See also

TControl.Visible |  | Allows the control, and all of its children, to be displayed or hidden.